/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package CashSaleMgmt.CashSaleSession;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class CashSaleSession {
    public void makeCashSaleSession() {
    }

    public void start() {
    }

    public void stop() {
    }

    /**  */
    public BigDecimal calcTotal() {
        return new BigDecimal(0);
    }

    public int calcCashSalesRate() {
        return 0;
    }

    public int calcTotalQty() {
        return 0;
    }

    public static Vector listCashSaleSessions() {
        return new Vector();
    }

    /**
     *@associates <b>CashSaleMgmt.CashSale.CashSale</b>
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private Vector lnkUnnamed;
    private int interval;
    private int status;
}


